Permalink
Browse files

ghostscript: add '--with-x11' option

GS compiles properly with XQuartz. This is needed
for ghostview.

Closes #16924.

Signed-off-by: Adam Vandenberg <flangy@gmail.com>
  • Loading branch information...
1 parent f723fe5 commit 5bb0161204d121baeced9d84eac4836070326a30 @RuiPereira RuiPereira committed with Jan 6, 2013
Showing with 4 additions and 1 deletion.
  1. +4 −1 Library/Formula/ghostscript.rb
@@ -13,6 +13,8 @@ class Ghostscript < Formula
head 'git://git.ghostscript.com/ghostpdl.git'
+ option 'with-x11', 'Install with X11 support'
+
if build.head?
depends_on :automake
depends_on :libtool
@@ -24,6 +26,7 @@ class Ghostscript < Formula
depends_on 'jbig2dec'
depends_on 'little-cms2'
depends_on :libpng
+ depends_on :x11 => '2.7.2' if build.include? 'with-x11'
# Fix dylib names, per installation instructions
def patches
@@ -54,8 +57,8 @@ def install
--disable-compile-inits
--disable-gtk
--with-system-libtiff
- --without-x
]
+ args << '--without-x' unless build.include? 'with-x11'
if build.head?
system './autogen.sh', *args

0 comments on commit 5bb0161

Please sign in to comment.